const { makeSingleMysqlConnection, execQuery } = require('../index.js')

const params = [
  {
    host: 'localhost',
    password: 'test_pass',
    port: 3306,
    user: 'root',
  },
]
// makeAndConnect(params[0], (err, ret) => console.log({err, ret }, params))

const useSingleConn = async connParams => {
  const conn = await makeSingleMysqlConnection(connParams)
  try {
    execQuery(conn, 'select * from testing.user').then(result => console.log(result))
  } catch (err) {
    console.log(err)
  }
}

useSingleConn(params[0])
